Bug 553884 - DHCP fails on veth1 [lxc]
DHCP fails on veth1 [lxc]
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
http://dev.exherbo.org/stages/exherbo...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-09 04:25 EST by Robin Green
Modified: 2010-11-04 13:43 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-04 13:43:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
VM definition file (585 bytes, application/xml)
2010-01-09 04:25 EST, Robin Green
no flags Details

  None (edit)
Description Robin Green 2010-01-09 04:25:47 EST
Created attachment 382622 [details]
VM definition file

Description of problem:
dhcpd can't get an IP address inside my LXC VM.

Version-Release number of selected component (if applicable):
libvirt-client-0.7.1-15.fc12.i686

How reproducible:
Always

Steps to Reproduce:
1. ssh server
2. download Exherbo Linux distribution stage image from URL above
3. become root
4. mkdir exherbo;cd exherbo;tar xfJ ../exherbo-x86-20091215.tar.xz
5. download attached .xml file and adjust path according to where you untarred
the .tar.xz file
6. virsh --connect lxc:/// define exherbo.xml
7. virsh --connect lxc:/// start exherbo
8. virsh --connect lxc:/// console exherbo
9. export PATH=$PATH:/sbin:/usr/sbin
10. eclectic env update
11. source /etc/profile
12. dhcpd
  
Actual results:
dhcpcd: version 5.1.2 starting
dhcpcd: veth1: open_udp_socket: Operation not permitted
dhcpcd: veth1: open_socket: Operation not permitted
dhcpcd: veth1: broadcasting for a lease
dhcpcd: veth1: send_raw_packet: Bad file descriptor
dhcpcd: timed out
dhcpcd: allowing 8 seconds for IPv4LL timeout
dhcpcd: timed out

Expected results:
dhcpcd should be able to obtain an IP address

Additional info:
kernel-PAE-2.6.31.9-174.fc12.i686
Comment 1 Robin Green 2010-01-09 07:26:47 EST
Upgrading to the rawhide versions, with:

yum --enablerepo=rawhide --disablerepo=fedora --disablerepo=updates install libvirt libvirt-client lxc

solved this for me.
Comment 2 Bug Zapper 2010-11-03 21:28:16 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Daniel Berrange 2010-11-04 13:43:14 EDT
Closed as per comment #1.

Note You need to log in before you can comment on or make changes to this bug.